@charset "UTF-8";

/* Template & Designed by Orihashi Ren */
/* http://kerry.php.xdomain.jp/ */

/*-------------------- home --------------------*/

/* nav */
nav {
    display: block;
    position: relative;
    text-align: center;
    background: transparent;
    width: 100%;
    z-index: 100;
    margin: 0 0 5rem;
}
nav.m_fixed {
    text-align: center;
    position: fixed;
    top: 0;
    margin-top: 0;
    background: rgba(255,255,255,.3);
    -webkit-box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
    box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
}

nav ul {
    display: inline-block;
    margin: .5rem auto;
}
nav ul li {
    display: inline-block;
    margin: 0 1rem;
}
nav a {
    border-bottom: none;
    color: var(--blue);
    font-size: 1.5rem;
    text-transform: uppercase;
}

/* header */
header {
    position: relative;
    max-width: 50rem;
    margin: 10rem auto 2rem;
    color: #fff;
}
header h1 {
    position: relative;
    font-size: 3.7rem;
    margin-bottom: 1.5rem;
    z-index: 0;
}
header h1 > span {
    position: absolute;
    top: 60%;
    left: 50%;
    -ms-transform: translate(-50%,-40%);
    -webkit-transform: translate(-50%,-40%);
    transform: translate(-50%,-40%);
    font-size: 10rem;
    text-transform: capitalize;
    letter-spacing: 0;
    color: var(--blue);
    z-index: -1;
}
header h1 > span,
h2 {
    font-family: 'BlackletterHandRegular','Mrs Saint Delafield', cursive !important;
    font-weight: normal;
}
.perfume {
    display: inline-block;
    position: relative;
    left: 50%;
    -ms-transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    margin: 0 auto;
}
.perfume img {
    display: inline-block;
    margin: 0 .5rem;
    height: 5rem;
    width: auto;
}

/* wrapper */
.wrp {
    text-align: center;
    margin: 0 0 8rem;
    background: transparent;
}
.wrp.m_fixed {
    margin: calc(1.2rem + 1rem + 10rem) auto 7rem;
}
main {
    margin: 0 auto;
    padding: 0 2.5rem;
}
section, .section {
    text-align: center;
    margin: 0 0 5rem;
    padding: 1rem 1.5rem;
    background: var(--pure-blue)
}

/* 画面幅が狭いとき（スマホ）のみ調整 */
@media (max-width: 600px) {
    section, .section {
        padding: 1rem 0.5rem;  /* ← 左右の余白を減らして内容を広く見せる */
    }
}

/* footer */
footer {
    margin: 1rem auto;
    text-align: center;
    font-size: .9rem;
    color: #fff;
}

/* tetxt */
h1,h2,h3,h4,h5,h6 {
    text-transform: uppercase;
}
h1 {
    letter-spacing: .5rem;
}
h2,h3,h4,h5,h6 {
    position: relative;
    font-size: 1.35rem;
    letter-spacing: .25rem;
    color: #fff;
}
h2 {
    font-size: 4rem;
    letter-spacing: 0;
    text-transform: capitalize;
    color: var(--blue);
}
h3 {
    display: inline-block;
    font-size: 2rem;
}
h4 {
    font-size: 1.7rem;
}
h3::before,
h3::after {
    display: block;
    position: absolute;
    content: '';
    top: 50%;
    width: 100%;
    max-width: 5.5rem;
    border-bottom: 1px solid #fff;
}
h3::before {
    margin-left: 1rem;
    left: 100%;
}
h3::after {
    margin-right: 1rem;
    right: 100%;
}
h4,
.sub,
.sub-title {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    z-index: 1;
}
h4::before,
h4::after,
.sub::before,
.sub::after,
.center .sub-title::before,
.center .sub-title::after {
    content: "";
    display: block;
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    border-bottom: 1px solid var(--blue);
}
h4::before,
.sub::before,
.center .sub-title::before {
    margin-right: 1rem;
}
h4::after,
.sub::after,
.center .sub-title::after {
    margin-left: 1rem;
}
.sub::before,
.sub::after {
    border-bottom: 1px dotted #fff;
}
.center .sub-title::before,
.center .sub-title::after {
    border-bottom: 1px solid #fff;
    margin-top: 0;
}
h4 b {
    font-weight: 400;
    font-size: 1.1rem;
}
h4 span {
    display: block;
}
h4 span::before,
h4 span::after,
.line span::before,
.line span::after {
    content: "";
    display: block;
    position: absolute;
    height: 3rem;
    width: 1px;
    background-color: var(--blue);
}
h4 span::before {
    left: 0;
    top: 50%;
}
h4 span::after {
    right: 0;
    top: 50%;
}
h6 {
    text-align: left;
    padding-left: .5rem;
    border-left: 5px solid var(--blue);
}
.article-title {
    text-align: left;
    display: inline-block;

}
.article-title img {
    margin-right: 0.5rem;
    width: 40px;
    height: 40px;
    object-fit: cover;
    border: 2px solid #fff;
    border-radius: 50%;
    vertical-align: middle;
    -webkit-box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
    box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
}

/* line */
.line,
.line-2 {
    position: relative;
    display: block;
    width: 100%;
    left: 0;
    margin: 2rem auto 2rem;
    border-bottom: 1px solid var(--blue);
}
.line-2 {
    border-bottom: 1px dotted #fff;
}
.line_lr {
    padding: 0 2rem;
    height: calc(100% + 2rem);
    border-left: 1px solid var(--blue);
    border-right: 1px solid var(--blue)
}
.line span::before,
.line span::after {
    bottom: 50%;
}
.line span::before {
    left: 0;
}
.line span::after {
    right: 0;
}

/* aside */
aside {
    position: relative;
    text-align: left;
    margin: 1rem 0;
    padding: .5rem 1rem;
    border: none;
    background: rgba(255,255,255,.1);
    color: var(--blue);
    font-size: .97rem;
}

/* scroll box */
.scroll {
    position: relative;
    overflow-y: scroll !important;
    height: 8rem;
    width: 100%;
    margin: 0 auto 0rem;
    padding: .5rem 1rem;
    font-size: .97rem;
    border-radius: 0px;
    border: 1px solid transparent;
    background: transparent;
    transform: translateZ(0);
    z-index: 100;
    color: #fff;
}
.scroll .list_no {
    margin: 0 !important;
}
.scroll .list_no li {
    margin: 0 0 !important;
    padding-left: 0rem !important;
}

/* new */
.new::after {
    content: "new";
    color: #fff;
    margin-left: 0.5rem;
    opacity: .8;
    font-size: .8rem;
}

/* profile */
.image.img-left {
    float: left;
    margin: 0 1rem 1rem 0;
    top: 0.75rem;
}
.ja .image.img-left {
    top: .3rem;
}
.image.img-left, .image.right {
    max-width: 60%;
    max-height: 40%;
}
.image {
    border: 0;
    display: inline-block;
    position: relative;
}
.image.img-left img, .image.right img {
    width: 100%;
    height: 12rem;
    object-fit: cover;
    vertical-align: middle;
    padding: 0;
    border: none ;
}
.image img {
    display: block;
    -webkit-box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
    box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
}
.clear::after {
    display: block;
    content: '';
    clear: both;
}

/* margin */
.m_4r {
    margin-top: 4rem !important;
    margin-bottom: 4rem !important;
}
.m_2r {
    margin-top: 2rem !important;
    margin-bottom: 2rem !important;
}
.m_1r {
    margin-top: 1rem !important;
    margin-bottom: 1rem !important;
}
.m_b_2r {
    margin-bottom: 2rem !important;
}
.m_b_1r {
    margin-bottom: 1rem !important;
}
.m_t_4r {
    margin-top: 4rem !important;
}
.m_t_2r {
    margin-top: 2rem !important;
}
.m_t_1r {
    margin-top: 1rem !important;
}


.max_600 {
    display: block;
    max-width: 850px;
    margin-left: auto;
    margin-right: auto;
}

@media screen and (min-width: 768px) {
    .perfume img {
        margin: 0 1rem;
        height: 6rem;
    }
}

/*-------------------- main --------------------*/

/* breadcrumbs list */
.breadcrumbs {
    overflow-x: scroll;
    white-space: nowrap;
    width: 100%;
    margin: 0 0 2rem;
}
.breadcrumbs li {
    display: inline-block;
    margin-right: .5rem;
    font-size: .97rem;
    color: var(--blue);
    text-transform: uppercase;
}
.breadcrumbs li:not(:first-of-type)::before {
    padding: 0 10px 0 0;
    content: "\f105";
    font-family:'Font Awesome 5 Free';
    font-weight: 900;
    font-size: .77rem;
    color: var(--more-blue);
}
.breadcrumbs li a {
    border-bottom: 1px dotted var(--more-blue)
}

/* form */
.main form {
    display: inline-block;
    margin: 1rem auto;
    max-width: 370px;
}
.main input[type] {
    display: inline-block;
}
.main input[type=text] {
    width: 40%;
    padding: .2rem .3rem;
}
.main input[type=submit] {
    -webkit-appearance: none;
    transition: all .5s;
    padding: .1rem .3rem;
    border-radius: 0 0 0 0;
    background: var(--blue);
    border: 1px solid var(--blue);
    color: #fff !important;
}
.main input[type=submit]:hover {
    background: rgba(255,255,255,.3);
    border: 1px solid rgba(255,255,255,.3);
    color: var(--blue) !important;
}

.card a {
    border-bottom: none;
    color: var(--blue);
}
.card-1 img {
    display: flex;
    object-fit: cover;
    width: 200px;
    height: 40px;
    -webkit-box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
    box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
}
.card-1 aside {
    margin: 0;
    padding: .5rem;
    text-align: left;
    border: none;
    background: transparent;
}
.card-1 a {
    color: #fff;
}

/*-------------------- long --------------------*/

time, span.sub.m_t_1r {
    font-size: .97rem !important;
}
.p-img {
    height: 6rem;
    width: auto;
    margin: 2rem 1rem 0;
}

.left .sub-title::after {
    content: "";
    display: block;
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    border-bottom: 1px solid #fff;
    margin-left: 1rem;
}

.right,
.right h6,
.right aside,
.right ul li,
.right ol li {
    text-align: right;
}
.right h6 {
    border-left: none;
    border-right: 5px solid var(--blue);
    padding-right: .5rem;
}
.right-img {
    display: flex;
    flex-direction: row-reverse;
}
.right-img img {
    display: block;
}
.right .sub-title::after {
    display: none;
}
.right .sub-title::before {
    content: "";
    display: block;
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    border-bottom: 1px solid #fff;
    margin-right: 1rem;
}

.center,
.center h6,
.center aside,
.center ul li,
.center ol li {
    text-align: center;
}
.center h6 {
    display: inline-block;
    border-right: 5px solid var(--blue);
    padding-right: .5rem;
}
.center-img {
    display: inline-block;
    vertical-align: bottom;
}

/*-------------------- novel --------------------*/

.element {
    display: inline-block !important;
}

/* story */
.novel {
    text-align: center !important;
    padding: 1rem;
    margin: 2rem 0;
    background: transparent;
}
.novel > p {
    /*小説部分の段落に間隔を作りたくない場合はmargin-topに0を指定してください*/
    margin-top: 2rem;
    line-height: 2.5rem; /*小説部分の行間*/
    letter-spacing: 0.025rem; /*小説部分の文字間隔*/
}
.novel > p:first-of-type {
    margin-top: 0;
}

/* ruby */
[data-ruby] {
    display: inline-block;
    position: relative;
}
[data-ruby]::before {
    content: attr(data-ruby);
    display: inline-block;
    position: absolute;
    transform: translateX(-50%) scale(.5);
    white-space: nowrap;
    top: -1.2rem;
    left: calc(50%);
    text-align: center;
    letter-spacing: 0.25em;
    font-size: 1em;
    font-family: var(--san-serif) !important;
}
[data-ruby] rt {
    display: none;
}

/* pagination */
ul.pagination {
    display: inline-block;
    position: relative;
    text-align: center !important;
    margin: 1.5rem auto;
    padding: .3rem 1rem;
    line-height: 1.9rem;
    transition: all .5s;
    background: transparent;
}
ul.pagination > li {
    display: inline-block;
    margin: 0 5px 0 0;
}
ul.pagination > li a {
    border: none;
}
ul.pagination > li:last-child {
    margin: 0 0;
}
ul.pagination > li a span  {
    display: inline-block;
    margin: 0 1rem -.3rem;
    background: var(--blue) !important;
    border: 1px solid var(--blue) !important;
}

/*-------------------- note --------------------*/

/* image */
.a-img img {
    display: inline-block;
    height: 15rem;
    width: auto;
    max-width: 90%;
    object-fit: cover;
    margin: 1rem auto .5rem;
    padding: 0;
    -webkit-box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
    box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
}
.a-img,
[id^="figure"] a {
    border-bottom: none;
}
figure{
    margin: 0;
    display: none;
}
figure:target{
    display: block;
    position: fixed !important;
    top: 0 ;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 200 !important;
}
figure:target [id^="overlay"]{
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: rgba(255,255,255, .7);
    text-decoration: none;
    color: inherit;
    z-index: 210;
}
figure:target img{
    height: 20rem;
    max-width: none;
    max-height: none;
    width: auto;
    object-fit: fill;
    animation: fadein .3s;
}
[id^="overlay-"] .align-center {
    color: var(--blue);
}

@keyframes fadein{
    0%{
        transform: scale(0.2);
        opacity: 0.2;
    }
    100%{
        transform: scale(1);
        opacity: 1;
    }
}
@media screen and (min-width:768px) {
    figure:target img{
        height: 30rem;
    }
}
@media screen and (min-width:1280px) {
    figure:target img{
        height: 40rem;
    }
}

/*-------------------- color --------------------*/
/* white */
.white {
    color: #fff !important;
}
/* purple */
.more-purple {
    color: var(--more-purple) !important;
}
.pure-purple {
    color: var(--pure-purple) !important;
}
/* blue */
.dark-blue {
    color: var(--dark-blue) !important;
}
.blue {
    color: var(--blue) !important;
}
.more-blue {
    color: var(--more-blue) !important;
}
.more-pure-blue {
    color: var(--more-pure-blue) !important;
}
.pure-blue {
    color: var(--pure-blue) !important;
}
/* pink */
.pink {
    color: var(--pink) !important;
}
.more-pink {
    color: var(--more-pink) !important;
}
.light-ipnk {
    color: var(--light-pink) !important;
}

/* white */
.bg-white {
    background: #fff !important;
}
/* purple */
.bg-more-purple {
    background: var(--more-purple) !important;
}
.bg-pure-purple {
    background: var(--pure-purple) !important;
}
/* blue */
.bg-dark-blue {
    background: var(--dark-blue) !important;
}
.bg-blue {
    background: var(--blue) !important;
}
.bg-more-blue {
    background: var(--more-blue) !important;
}
.bg-more-pure-blue {
    background: var(--more-pure-blue) !important;
}
.bg-pure-blue {
    background: var(--pure-blue) !important;
}
/* pink */
.bg-pink {
    background: var(--pink) !important;
}
.bg-more-pink {
    background: var(--more-pink) !important;
}
.bg-light-ipnk {
    background: var(--light-pink) !important;
}

/*-------------------- font size --------------------*/
.inline {
    display: inline;
}
.s_s {
    font-size: var(--s_s) !important;
}
.s_m {
    font-size: var(--s_m) !important;
}
.s_n {
    font-size: var(--s_n) !important;
}
.s_b {
    font-size: var(--s_b) !important;
}
.s_bb {
    font-size: var(--s_bb) !important;
}

/*-------------------- font family --------------------*/
.serif {
    font-family: var(--serif);
}

/*-------------------- other --------------------*/
.o_8 {
    opacity: .8;
}
.bg_trans {
    background: transparent;
}

/*-------------------- uberline --------------------*/
.dot {
    border-bottom: dotted 1px var(--blue);
    display: inline;
}
.none {
    border-bottom: none;
}

/*-------------------- marker --------------------*/
.marker {
    padding: 0;
    height: 2rem;

}
.marker1 {
    background: linear-gradient(transparent 60%, var(--more-purple) 60%);
    color: #fff;
}
.marker2 {
    background: linear-gradient(transparent 60%, var(--more-pink) 60%);
    color: #fff;
}
.marker3 {
    background: linear-gradient(transparent 60%, var(--more-blue) 60%);
    color: #fff;
}
.marker4 {
    display: inline-block;
    padding: 0 .5rem;
    background: linear-gradient(transparent 10%, var(--blue) 10%);
    color: #fff;
}

/*-------------------- line --------------------*/
.border-r-1,
.border-r-2,
.border-r-3,
.border-r-4 {
    padding-right: .5rem;
    margin-right: .5rem;
}
.border-r-1 {
    border-right: 5px solid var(--more-purple);
}
.border-r-2 {
    border-right: 5px solid var(--more-pink);
}
.border-r-3 {
    border-right: 5px solid var(--more-blue);
}
.border-r-4 {
    border-right: 5px solid var(--pure-blue);
}
.border-l-1,
.border-l-2,
.border-l-3,
.border-l-4 {
    padding-left: .5rem;
}
.border-l-1 {
    border-left: 5px solid var(--more-purple);
}
.border-l-2 {
    border-left: 5px solid var(--more-pink);
}
.border-l-3 {
    border-left: 5px solid var(--more-blue);
}
.border-l-4 {
    border-left: 5px solid var(--pure-blue);
}
.border-a {
    position: relative;
    margin-right: 3.5rem;
}
.border-a::after {
    position: absolute;
    display: block;
    content: '';
    top: 50%;
    left: 115%;
    width: 2rem;
    height: 1px;
    background: #fff;
}

@media screen and (min-width: 900px) {
  #water-canvas {
    width: 800px;
    height: auto;
    display: block;
    margin: 0 auto;
  }
}

html {
  scroll-behavior: smooth;
}

